Page MenuHomePhabricator

Add thanks for resolving StructuredDiscussions topics?
Closed, ResolvedPublic

Description

It should be possible to thank for resolving/unresolving a StructuredDiscussions topic.

e.g. https://www.mediawiki.org/wiki/Special:Redirect/logid/15077827

flow-lock-topic and flow-restore-topic should be thankable.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 4 2018, 11:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
TBolliger added a subscriber: TBolliger.

I'm somewhat hesitant to whitelist such a generic term, especially since it's close to block.

But for this specific use — yeah, should probably be thankable.

We'll want to figure out a method to address requests for other less common logs — individual tickets or should we make a single large tracking ticket?

Yeah, it does seem a strange choice for a log type name, but it looks like it's not used for anything other than flow-* actions: https://quarry.wmflabs.org/query/26144

Niharika added a subscriber: Niharika.EditedApr 5 2018, 10:57 PM

@TBolliger To clarify further, lock here is a type of log. It's not a regex or anything. Being similar to block doesn't affect anything.

I agree that flow-lock-topic and flow-restore-topic should be thankable.

We should let people file tickets if they want other log types to be thankable.

👍>>! In T191482#4110571, @Niharika wrote:

@TBolliger To clarify further, lock here is a type of log. It's not a regex or anything. Being similar to block doesn't affect anything.
I agree that flow-lock-topic and flow-restore-topic should be thankable.
We should let people file tickets if they want other log types to be thankable.

TBolliger updated the task description. (Show Details)Apr 9 2018, 4:57 PM

Change 425209 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/Thanks@master] Allow thanking for flow-lock-topic and flow-restore-topic

https://gerrit.wikimedia.org/r/425209

Change 425209 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Allow thanking for flow-lock-topic and flow-restore-topic

https://gerrit.wikimedia.org/r/425209

Trizek-WMF added a subscriber: Trizek-WMF.

Thank you for taking care of that!

Niharika closed this task as Resolved.Apr 10 2018, 4:56 PM
Niharika claimed this task.
Niharika moved this task from To be estimated/discussed to Archive on the Community-Tech board.

No problem. :)

I am sorry, but I think that the community does not know about the possibility to thank for flow-lock-topic and flow-restore-topic. And I think that the reasoning "I want to thank Foo for resolving this topic... No 'thank link' is displayed in the topic... No 'thank link' is displayed in the topic's history... I have to search for a 'thank link' in the public logs..." is too long (and complicated) for the contributors.
So I think that the 'thank link' should be displayed in the topic's history.

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 14 2018, 1:15 AM